# autoj - Automated Java Build System
# Copyright (C) 2004 Daniel Tschan

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

%define aclocal_dir /usr/share/aclocal

Summary: An automated Java build system
Name: autoj
Version: 20041015
Release: 0
Epoch: 0
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Development/Tools
BuildRoot: %{_builddir}/%{name}-root
BuildArchitectures: noarch
Packager: Daniel Tschan <tschan+rpm@devzone.ch>
URL: http://autoj.sourceforge.net/
Requires: autoconf, automake

%description
autoj is an automated build system for Java based on autoconf, make, bash and some other GNU tools.

The current version automatically performs the following tasks:

    * Adapts the package to the current system configuration (e.g. selects a Java compiler)
    * Sets the CLASSPATH
    * Compiles all Java classes
    * Compiles all JFlex scanners
    * Compiles all CUP parsers

Additionally the following make targets are available:

    * clean: Removes all intermediate and binary files
    * lib: Downloads all dependencies (.jar files)
    * javadoc: Creates the JavaDoc Documentation
    * cvscheck: Checks if the current cvs version can be compiled
    * jar: Creates a jar file of the project
    * dist: Creates a distribution tarball including all dependencies

autoj also contains a bash script that sets the correct CLASSPATH and allows to start a project by
specifying an unqualified or partially qualified class name.

%prep
%setup -q

%build
./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0755,root,root) /usr/bin/autoj
%attr(0755,root,root) /usr/bin/autojize
/usr/share/autoj/*
%{aclocal_dir}/*
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO
%doc /usr/man/*/*
%doc /usr/info/*
